"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _credentials = require("../credentials");

var _Select = require("../credentials/views/Select");

function _default(program) {
  program.command('credentials:manager').description('Manage your credentials').option('-p --platform <platform>', 'Platform: [android|ios]', /^(android|ios)$/i).asyncAction(async options => {
    const projectDir = process.cwd();
    const context = new _credentials.Context();
    await context.init(projectDir);
    let mainpage;

    if (options.platform === 'android') {
      mainpage = new _Select.SelectAndroidExperience();
    } else if (options.platform === 'ios') {
      mainpage = new _Select.SelectIosExperience();
    } else {
      mainpage = new _Select.SelectPlatform();
    }

    await (0, _credentials.runCredentialsManager)(context, mainpage);
  },
  /* skip project validation */
  true);
}

;
//# sourceMappingURL=../__sourcemaps__/commands/credentials.js.map
